Skip to content

List attributes

View as Markdown
get /rest/api/categories/attributes

Retrieves the collection of Attribute resources.

Returns a paginated collection of category attributes - the read-only union of attribute strings and attribute lists.

Headers

NameTypeRequiredDescription
X-Flowkiwi-Organization-IdstringrequiredThe organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.
X-Flowkiwi-Localestring-Specifies the locale for properties that support localization. If not provided, the default locale will be used.
X-Flowkiwi-Locale-Fallbackboolean-Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used.

Query parameters

NameTypeRequiredDescription
pageinteger-The collection page number
itemsPerPageinteger-The number of items per page

Response

200 - Attribute collection

PropertyTypeRequiredDescription
hydra:totalItemsinteger-
hydra:searchobject-
Show hydra:search fields
PropertyTypeRequiredDescription
@typestring-
hydra:templatestring-
hydra:variableRepresentationstring-
hydra:mappingobject[]-
Show hydra:mapping fields
PropertyTypeRequiredDescription
@typestring-
variablestring-
propertystring | null-
requiredboolean-
hydra:viewobject-
Show hydra:view fields
PropertyTypeRequiredDescription
@idstring-
@typestring-
hydra:firststring-
hydra:laststring-
hydra:previousstring-
hydra:nextstring-
hydra:memberAttribute[]required
Show hydra:member fields
PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
idstring-The resource's unique identifier (UUID).
namestring | null-This property supports translations.

The name of the attribute
categoriesstring[]-List of categories associated with the attribute.

Errors

403 - Access denied. The caller is missing one or more identity permissions required for this operation.

Content-Type: application/problem+json

PropertyTypeRequiredDescription
@contextobject-
@idstringrequired
@typestringrequired
typestring-
titlestring-
statusinteger-
detailstring-
missingPermissionsstring[]-Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission.